From: [email-masked]
Date: Fri, 23 Sep 94 20:31:39 CDT

MY SON GOT HIS APROVE LEETER FROM NY INS. WE SUBMITED HIS APPLICATION ON 8/16/9
3  AS A LAD OF CSPA. THE FULL CONTENT  IS AS FOLLOWS:

YOUR APPLICATION FORSTATUS AS A PERMANENT RESIDENT HAS BEEN APPROVED.
BRING THIS NOTICE  WITH YOUR VALID PASSPORT TO THIS OFFICE FOR I-89 FINGERPRINT
ING ON ************   *---** AM ONLY . CSPA DERIV. 10TH FLOOR  ROOM 10-112.

GOOD LUCK EVERY  BODY !!!